package fr.bordeaux.poo;

import java.util.ArrayList;
import java.util.List;
import java.util.Random;

public class Game {
	
	private List<Invader> invaders;
	private Ship ship;
	
	public Game() {
		invaders = new ArrayList<Invader>();
	}
	
	void createInvader(int x, int y, boolean dir) {
		invaders.add(new Invader(x, y, dir));
	}
	
	
	public void init() {
		ship = new Ship(Map.SHIP_START_X , Map.SHIP_START_Y);
		createInvader(100,Map.INVADER_START_Y,true);
		createInvader(0,Map.INVADER_START_Y,true);
		createInvader(-100,Map.INVADER_START_Y,true);
		createInvader(-200,Map.INVADER_START_Y,true);
		createInvader(-300,Map.INVADER_START_Y,true);
	}

	
		
	
	public void moveInvaders() {
		for (Invader i : invaders) i.nextTurn();
	}
	

	public List<Invader> getInvaders() {
		return invaders;
	}

	public Ship getShip() {
		return ship;
	}
	

}
