package fr.bordeaux.poo;

import javax.swing.Timer;

public class MonMain {

	public static void main(String[] args) {
		Game g = new Game();
		g.init();
		View v = new View(g);
		v.init();
		
		Controller controller = new Controller(v , g);
		v.getFrame().addKeyListener(controller);
		v.getFrame().setFocusable(true);
		
		Timer t = new Timer(100 , new TimerListener(g, v));
		t.start();

	}

}
