package fr.bordeaux.poo;

public class Invader extends Entity{
	
	boolean direction;//true means from the left to the right
	
	public Invader(int x, int y, boolean dir) {
		this.x=x;
		this.y=y;
		this.width=Map.INVADER_WIDTH;
		this.height=Map.INVADER_HEIGHT;
		this.direction=dir;
	}

	@Override
	public void nextTurn() {
		int x_max = x+2*width+Map.MOVE_INVADER_X;
		int x_min = x-width-Map.MOVE_INVADER_X;
		if (isAlive) {		
		if (direction) {
			if (x_max < Map.MAP_WIDTH) {
				x+=Map.MOVE_INVADER_X;
			} else {
				y+=Map.MOVE_INVADER_Y;
				direction=false;
			}
		} else {
			if (x_min > 0) {
				x-=Map.MOVE_INVADER_X;
			} else {
				y+=Map.MOVE_INVADER_Y;
				direction=true;
			}
		}}
	}
}
